<div [ngClass]="['home-list-trending-organization']">
  <div [ngClass]="[jds.tableResponsive]">
    <table
      [ngClass]="[jds.table]"
      role="table"
      aria-label="Trending Organization"
      aria-describedby="Table Trending Organization"
    >
      <thead>
        <tr>
          <th
            class="table-head"
            scope="col"
          >
            <span [ngClass]="[jds.fs(16)]">Organisasi</span>
          </th>
          <th
            class="table-head"
            [style.width.%]="25"
            scope="col"
          >
            <span [ngClass]="[jds.fs(16)]">Tren</span>
          </th>
          <th
            class="table-head"
            [style.width.%]="25"
            [isSortable]="true"
            [currentSort]="{
              sort: vm.filterSort(),
              direction: vm.filterDirection()
            }"
            [colorScheme]="'gray'"
            (filterSort)="handleSort('count', vm.filterDirection())"
            scope="col"
            jdsBiTableHead
            column="count"
          >
            <span [ngClass]="[jds.fs(16)]">Total Diunduh</span>
          </th>
        </tr>
      </thead>
      <tbody>
        @if (vm.listTrendingOrganizationSatuData(); as list) {
          @switch (list.status) {
            @case ('loading') {
              <ng-container *ngTemplateOutlet="loading" />
            }

            @case ('success') {
              @if (list.isFetching) {
                <ng-container *ngTemplateOutlet="loading" />
              } @else if (list.data.list.length > 0) {
                @for (row of list.data.list; track row.id) {
                  <tr>
                    <td [style.verticalAlign]="'middle'">
                      <div
                        [ngClass]="[jds.d('flex'), jds.alignItems('center')]"
                      >
                        <img
                          [style.width.%]="10"
                          [ngClass]="[jds.me(16)]"
                          [alt]="row.nama_skpd"
                          [src]="env.backendURL + row.logo"
                        />

                        <a [routerLink]="['/organization' + row.id]">
                          {{ row.nama_skpd }}
                        </a>
                      </div>
                    </td>
                    <td [style.verticalAlign]="'middle'">
                      <ngx-trend
                        [data]="row.datecount"
                        [gradient]="['#67B662']"
                        height="40"
                        smooth="true"
                        radius="10"
                        strokeWidth="4"
                        strokeLinecap="round"
                      />
                    </td>
                    <td
                      [style.verticalAlign]="'middle'"
                      [ngClass]="[jds.textAlign('center')]"
                    >
                      {{ row.count | number: '1.0-0' : 'id' }}
                    </td>
                  </tr>
                }
              } @else {
                <ng-container *ngTemplateOutlet="empty" />
              }
            }
          }
        }
      </tbody>
    </table>
  </div>
</div>

<ng-template #loading>
  @for (number of [0, 1, 2, 3, 4]; track $index) {
    <tr>
      @for (number of [0, 1, 2]; track $index) {
        <td>
          <div class="wrapper-skeleton">
            <ngx-skeleton-loader
              [theme]="{
                width: '80%',
                'border-radius': '0',
                height: '20px',
                'margin-bottom': '0px'
              }"
            />
          </div>
        </td>
      }
    </tr>
  }
</ng-template>

<ng-template #empty>
  <tr>
    <td
      [attr.colspan]="3"
      [ngClass]="[jds.textAlign('center')]"
    >
      Tidak ada Data.
    </td>
  </tr>
</ng-template>
